Package be.e_contract.ejsf.component.output.enums

# Class OutputEnumComponent.EnumInfo

java.lang.Object
be.e_contract.ejsf.component.output.enums.OutputEnumComponent.EnumInfo

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  OutputEnumComponent

public static class OutputEnumComponent.EnumInfo extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EnumInfo()`
`EnumInfo(String label, String color, String background, String icon)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBackground()`
`String`
`getColor()`
`String`
`getIcon()`
`String`
`getLabel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnumInfo

public EnumInfo()

### EnumInfo

public EnumInfo(String label, String color, String background, String icon)

## Method Details

### getLabel

public String getLabel()

### getColor

public String getColor()

### getBackground

public String getBackground()

### getIcon

public String getIcon()